Skip to main content
`Ctrl`+`K`

# PetscBinarySeek

Moves the file pointer on a PETSc binary file.

## Synopsis

    PetscErrorCode PetscBinarySeek(int fd, off_t off, PetscBinarySeekType whence, off_t *offset)

Not Collective

## Input Parameters

- fd - the file

- off - number of bytes to move. Use `PETSC_BINARY_INT_SIZE`, `PETSC_BINARY_SCALAR_SIZE`, etc. in your calculation rather than `sizeof()` to compute byte lengths.

- whence - see `PetscBinarySeekType` for possible values

## Output Parameter

- offset - new offset in file

## See Also

`PetscBinaryRead()`, `PetscBinarySeekType`, `PetscBinaryWrite()`, `PetscBinaryOpen()`, `PetscBinarySynchronizedWrite()`, `PetscBinarySynchronizedRead()`, `PetscBinarySynchronizedSeek()`

## Level

developer

## Location

src/sys/fileio/sysio.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages